class 'keycustomer' (fakecustomer)

keycustomer.key = ""

function keycustomer:__init(baseName) super(baseName)

	self:setReturnHomeTime(1000)
	self:animate("WALK_UP", 0)
    self:animate("WALK_DOWN", 0)
    self:animate("WALK_RIGHT", 0)
	self:animate(self:getDefaultAnimation(), 0)

end

function keycustomer:acceptTask(task)

	return D2Person.acceptTask(self, task)
	
end

function keycustomer:onClick()

	restaurant.activeKeyCustomer = false

	emily:qWalkToAppliance(getAppliance("rest0_reception"))
	emily:qCallback(self, self.OnEmilyArrive)
	
end

function keycustomer:OnEmilyArrive()
	if (getProduct(self.key):getStock
end
